Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class GaussianRandomGenerator

    java.lang.Object
      org.apache.commons.math.random.GaussianRandomGenerator

All Implemented Interfaces:
  NormalizedRandomGenerator

    public class GaussianRandomGenerator

extends java.lang.Object
implements NormalizedRandomGenerator

This class is a gaussian normalized random generator for scalars.

This class is a simple wrapper around the `RandomGenerator.nextGaussian()` method.

Since:
  1.2
Version:
  $Revision: 811827 $ $Date: 2009-09-06 11:32:50 -0400 (Sun, 06 Sep 2009) $

Field Summary
`private RandomGenerator` | `generator` Underlying generator.

Constructor Summary
`GaussianRandomGenerator(RandomGenerator generator)` Create a new generator.

Method Summary
`double` | `nextNormalizedDouble()` Generate a random scalar with null mean and unit standard deviation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generator

    private final RandomGenerator generator

  Underlying generator.

Constructor Detail

### GaussianRandomGenerator

    public GaussianRandomGenerator(RandomGenerator generator)

  Create a new generator.

  Parameters:
    `generator` - underlying random generator to use

Method Detail

### nextNormalizedDouble

    public double nextNormalizedDouble()

  Generate a random scalar with null mean and unit standard deviation.

  Specified by:
    `nextNormalizedDouble` in interface `NormalizedRandomGenerator`
  Returns:
    a random scalar with null mean and unit standard deviation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation